from django.contrib import admin
from django.urls import path, include
from . import views
from django.contrib.auth import views as auth_views


urlpatterns = [
    path('', views.index, name="index"),
    path('privacy-policy', views.PrivacyPolicy, name="privacy-policy"),
    path('text-to-image', views.TextToImage, name="TextToImage"),
    path('images-control', views.images_control, name="images_control"),
    path('top-up', views.top_up, name="top_up"),

    # Downloads
    path('download-image-from-txt/<int:image_id>/', views.download_image_from_txt, name='download_image_from_txt'),

    # Removals
    path('remove_image_generated_from_text/<int:id>', views.remove_image_generated_from_text, name='remove_image_generated_from_text'),
    path('add_to_frontpage_image_generated_from_text/<int:id>', views.add_to_frontpage_image_generated_from_text, name='add_to_frontpage_image_generated_from_text'),
    path('remove_from_frontpage_image_generated_from_text/<int:id>', views.remove_from_frontpage_image_generated_from_text, name='remove_from_frontpage_image_generated_from_text'),
    path('social-auth/', include('social_django.urls', namespace="social")),
    path("login/", views.login, name="login"),
    path("logout/", auth_views.LogoutView.as_view(), name="logout"),
    path('accounts/', include('django.contrib.auth.urls')),

#     Payments
    path('create-payment-intent/<pk>/', views.StripeIntentView.as_view(), name='create-payment-intent'),
    path('webhooks/stripe/', views.stripe_webhook, name='stripe-webhook'),
    path('cancel/', views.CancelView, name='cancel'),
    path('success/', views.SuccessView, name='success'),

    path('create-checkout-session/<pk>/', views.CreateCheckoutSessionView.as_view(), name='create-checkout-session')
]